Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderLineAdjustmentPersistence

    java.lang.Object
      com.beasys.commerce.ebusiness.order.OrderLineAdjustmentPersistence

Deprecated

    @Deprecated
    public class OrderLineAdjustmentPersistence

extends Object

This class's role is to persist and read adjutments for Order Status type display/Administrator
It follows the pattern established by the CRUD objects in SmartBMP, only using the 'directUpdate' and 'directRefresh' and ignoring Belonging issues which are not relevant here.
Persistence and reading is done using a connection object passed by the calling method.

Constructor Summary
`OrderLineAdjustmentPersistence()` Deprecated

Method Summary
`static long[]` | `findOrderLineAdjustmentPK(Connection connection, long orderLinePk)` Deprecated Given an Order Line Identifier and a Connection, returns an array of order adjustment identifier.
`static OrderAdjustmentPresentation` | `query(Connection connection, long key)` Deprecated Refresh from database, using primary key information in the where clause.
`static ArrayList` | `retrieveOrderLineAdjustmentPresentations(Connection connection, long orderLinePk)` Deprecated Retrieves all the OrderLineAdjustment into an ArrayList of OrderAdjustmentPresentation's, to be associated with and OrderLine, and further for use in JSP pages.
`static void` | `updateDirect(Connection connection, long olaId, long orderLineId, Date creationDate, LineAdjustment lineAdjustment)` Deprecated Insert a new line adjustment in the ORDER_LINE_ADJUSTMENT table, using a generated key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderLineAdjustmentPersistence

    public OrderLineAdjustmentPersistence()

  Deprecated

Method Detail

### updateDirect

    public static void updateDirect(Connection connection,
                                    long olaId,
                                    long orderLineId,
                                    Date creationDate,
                                    LineAdjustment lineAdjustment)
                             throws BMPException

  Deprecated
  Insert a new line adjustment in the ORDER_LINE_ADJUSTMENT table, using a generated key.

  Parameters
    `connection,` - the database connection
    `olaId,` - the PK for this order line adjustment
    `orderLineId,` - the 'foreign' key to the WLCS_ORDER_LINE table
    `creationDate,` - the date at which the order and its adjustments are persisted
    `lineAdjustments,` - the object to be persisted
  Throws
    `BMPException`

### query

    public static OrderAdjustmentPresentation query(Connection connection,
                                                    long key)
                                             throws BMPException

  Deprecated
  Refresh from database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `key,` - the key for the particular adjustment in the table
  Returns
    the corresponding OrderAdjustmentPresentation, to be associated with and OrderLine and used in a JSP
  Throws
    `BMPException`

### findOrderLineAdjustmentPK

    public static long[] findOrderLineAdjustmentPK(Connection connection,
                                                   long orderLinePk)
                                            throws BMPException

  Deprecated
  Given an Order Line Identifier and a Connection, returns an array of order adjustment identifier. This can be in turn used to retrieve all OrderAdjustmentPresentation objects

  It selects the PKs in order they were created

  Parameters
    `connection,` - to connect to the Commerce DB
    `orderLinePk,` - the PK for an order line
  Returns
    a long[] of PK, null if none is there.
  Throws
    `BMPException`

### retrieveOrderLineAdjustmentPresentations

    public static ArrayList retrieveOrderLineAdjustmentPresentations(Connection connection,
                                                                     long orderLinePk)

  Deprecated
  Retrieves all the OrderLineAdjustment into an ArrayList of OrderAdjustmentPresentation's, to be associated with and OrderLine, and further for use in JSP pages.

  The returned value may be empty, but not null.

  Parameters
    `connection,` - to connect to the Commerce DB
    `orderLinePk,` - the PK for an order line
  Returns
    an ArrayList of all OrderAdjustmentPresentations objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.